> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbolic.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of rental options

> Get a list of rental options



## OpenAPI

````yaml /api-reference/openapi.json get /v2/on-demand/rental-options
openapi: 3.1.0
info:
  title: Hyperbolic API
  description: >-
    HTTP API for Hyperbolic's on-demand GPU compute: rent virtual machines and
    bare-metal instances, manage storage volumes, and track usage and billing.
    Authenticate with a Bearer API key (`Authorization: Bearer <api-key>`).
  version: 2.0.0
  contact:
    name: Hyperbolic
    url: https://hyperbolic.ai
    email: support@hyperbolic.ai
servers:
  - url: https://api.hyperbolic.ai
    description: Production
  - url: https://api.hyperbolic.xyz
    description: >-
      Legacy host — the same API on Hyperbolic's original domain, kept for
      existing integrations.
security: []
tags:
  - name: openapi
    description: OpenAPI specification
    x-group: OpenAPI
  - name: rentals
    description: Manage rentals
    x-group: Rentals
  - name: bare-metal-rentals
    description: Manage bare metal rentals
    x-group: Bare Metal Rentals
  - name: virtual-machine-rentals
    description: Manage virtual machine rentals
    x-group: Virtual Machine Rentals
  - name: storage-volumes
    description: Manage storage volumes
    x-group: Storage Volumes
  - name: billing
    description: Manage billing
    x-group: Billing
  - name: users
    description: Manage users
    x-group: Users
  - name: balances
    description: Manage balances
    x-group: Balances
  - name: api-keys
    description: Manage API keys
    x-group: API Keys
  - name: ssh-keys
    description: Manage SSH public keys
    x-group: SSH Keys
paths:
  /v2/on-demand/rental-options:
    get:
      tags:
        - rentals
      summary: Get a list of rental options
      description: Get a list of rental options
      operationId: ondemand-getRentalOptions
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - type: object
                      properties:
                        enabled:
                          type: boolean
                        costPerHourCents:
                          type: number
                        region:
                          anyOf:
                            - type: string
                              enum:
                                - us-central-1
                                - us-central-2
                                - eu-north-2
                                - eu-west-2
                                - eu-north-4
                                - eu-north-5
                                - us-east-1
                                - us-east-2
                                - ca-east-3
                                - eu-north-6
                                - eu-north-7
                                - eu-north-8
                                - ca-west-1
                                - ca-east-1
                                - us-central-3
                                - us-southeast-1
                                - me-central-1
                                - ca-east-2
                                - eu-west-1
                                - us-southeast-2
                                - jp-east-1
                                - us-southeast-3
                                - eu-west-5
                                - us-east-3
                            - type: string
                              enum:
                                - us-central-1
                                - uk-central-3
                                - uk-southeast-3
                                - eu-southwest-3
                                - eu-southwest-3-1
                                - eu-west-3
                                - eu-west-4
                        gpuCount:
                          type: number
                        gpuType:
                          type: string
                          enum:
                            - h100
                            - h200
                            - b200
                            - rtx-6000-pro
                        gpuFormFactor:
                          type: string
                          enum:
                            - sxm5
                            - sxm6
                            - pcie
                        connectionType:
                          type: string
                          enum:
                            - infiniband
                            - ethernet
                        ethernetVariant:
                          type: string
                          enum:
                            - normal
                            - rocev2
                        totalAvailable:
                          type: number
                        machineType:
                          type: string
                          const: virtual-machine
                        nodes:
                          type: array
                          items:
                            type: object
                            properties:
                              cpuModel:
                                type: string
                              gpuCount:
                                type: number
                              ramGb:
                                type: number
                              storageGb:
                                type: number
                              vcpuCount:
                                type: number
                            required:
                              - cpuModel
                              - gpuCount
                              - ramGb
                              - storageGb
                              - vcpuCount
                            additionalProperties: false
                      required:
                        - enabled
                        - costPerHourCents
                        - region
                        - gpuCount
                        - gpuType
                        - gpuFormFactor
                        - connectionType
                        - machineType
                        - nodes
                      additionalProperties: false
                    - type: object
                      properties:
                        enabled:
                          type: boolean
                        costPerHourCents:
                          type: number
                        region:
                          anyOf:
                            - type: string
                              enum:
                                - us-central-1
                                - us-central-2
                                - eu-north-2
                                - eu-west-2
                                - eu-north-4
                                - eu-north-5
                                - us-east-1
                                - us-east-2
                                - ca-east-3
                                - eu-north-6
                                - eu-north-7
                                - eu-north-8
                                - ca-west-1
                                - ca-east-1
                                - us-central-3
                                - us-southeast-1
                                - me-central-1
                                - ca-east-2
                                - eu-west-1
                                - us-southeast-2
                                - jp-east-1
                                - us-southeast-3
                                - eu-west-5
                                - us-east-3
                            - type: string
                              enum:
                                - us-central-1
                                - uk-central-3
                                - uk-southeast-3
                                - eu-southwest-3
                                - eu-southwest-3-1
                                - eu-west-3
                                - eu-west-4
                        gpuCount:
                          type: number
                        gpuType:
                          type: string
                          enum:
                            - h100
                            - h200
                            - b200
                            - rtx-6000-pro
                        gpuFormFactor:
                          type: string
                          enum:
                            - sxm5
                            - sxm6
                            - pcie
                        connectionType:
                          type: string
                          enum:
                            - infiniband
                            - ethernet
                        ethernetVariant:
                          type: string
                          enum:
                            - normal
                            - rocev2
                        totalAvailable:
                          type: number
                        machineType:
                          type: string
                          const: bare-metal
                        nodes:
                          type: array
                          items:
                            type: object
                            properties:
                              cpuModel:
                                type: string
                              gpuCount:
                                type: number
                              ramGb:
                                type: number
                              storageGb:
                                type: number
                              cpuCount:
                                type: number
                            required:
                              - cpuModel
                              - gpuCount
                              - ramGb
                              - storageGb
                              - cpuCount
                            additionalProperties: false
                      required:
                        - enabled
                        - costPerHourCents
                        - region
                        - gpuCount
                        - gpuType
                        - gpuFormFactor
                        - connectionType
                        - machineType
                        - nodes
                      additionalProperties: false
                  type: object
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.